Package com.ocient.jdbc.proto

## Interface PlanProtocol.securityTokenOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.securityToken`, `PlanProtocol.securityToken.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.securityTokenOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`com.google.protobuf.ByteString` `getIssuerCertificate()` Deprecated.
`com.google.protobuf.ByteString` `getIssuerFingerprint()` Fingerprint of admin certificate used to issue token
`com.google.protobuf.ByteString` `getSignature()` Signature of token data to validate authenticity
`com.google.protobuf.ByteString` `getToken()` The opaque set of bytes used to represent a logged in user

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getToken

    com.google.protobuf.ByteString getToken()

     The opaque set of bytes used to represent a logged in user

`bytes token = 2;`

Returns:
  The token.

#### getSignature

    com.google.protobuf.ByteString getSignature()

     Signature of token data to validate authenticity

`bytes signature = 3;`

Returns:
  The signature.

#### getIssuerCertificate

    @Deprecated
    com.google.protobuf.ByteString getIssuerCertificate()

Deprecated.

     Admin certificate used to issue token

`bytes issuer_certificate = 4 [deprecated = true];`

Returns:
  The issuerCertificate.

#### getIssuerFingerprint

    com.google.protobuf.ByteString getIssuerFingerprint()

     Fingerprint of admin certificate used to issue token

`bytes issuer_fingerprint = 5;`

Returns:
  The issuerFingerprint.